arla startup problem in Linux
Krysak, Tony
tony.krysak at lmco.com
Tue Feb 15 22:46:51 CET 2000
The SYSV startup script for Linux has a minor problem,
my insmod (version 2.3.9) returns True when it's successful,
xfs.o gets loaded and the script terminates! (I'm not using
modprobe to load xfs.o)
Here's a patch that corrects the issue, the patch is to...
$Id: arla.init.in,v 1.6 2000/02/04 10:41:07 lha Exp $
-----------------------------------------------------------
--- xfs/linux/bin/arla.orig Tue Feb 15 09:24:06 2000
+++ xfs/linux/bin/arla Tue Feb 15 10:01:17 2000
@@ -68,7 +68,7 @@
if modprobe xfs ; then
:
elif [ -f $ARLABINDIR/xfs.o ]; then
- if insmod $ARLABINDIR/xfs.o; then
+ if ! insmod $ARLABINDIR/xfs.o; then
echo "missing xfs.o"
exit 1
fi
-----------------------------------------------------------
More information about the Arla-drinkers
mailing list